org.apache.solr.search

## Class CollapsingQParserPlugin.GroupHeadSelector

- java.lang.Object
- - org.apache.solr.search.CollapsingQParserPlugin.GroupHeadSelector

- Enclosing class:
    CollapsingQParserPlugin

      public static final class CollapsingQParserPlugin.GroupHeadSelector
      extends Object

  Models all the information about how group head documents should be selected

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `selectorText` The param value for this selector whose meaning depends on type.
    `CollapsingQParserPlugin.GroupHeadSelectorType` | `type` The type for this selector, will never be null

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollapsingQParserPlugin.GroupHeadSelector` | `build(SolrParams localParams)` returns a new GroupHeadSelector based on the specified local params
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectorText

          public final String selectorText

      The param value for this selector whose meaning depends on type. (ie: a field or valuesource for MIN/MAX, a sort string for SORT, "score" for SCORE). Will never be null.

    - #### type

          public final CollapsingQParserPlugin.GroupHeadSelectorType type

      The type for this selector, will never be null

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### build

          public static CollapsingQParserPlugin.GroupHeadSelector build(SolrParams localParams)

      returns a new GroupHeadSelector based on the specified local params

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.